#include "bitseq.h"
#include <cassert>
#include <cstdio>
#include <string>
#include <vector>

using namespace std;

int main() {
    int n;
    assert(scanf("%d", &n) == 1);

    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        assert(scanf("%d", &a[i]) == 1);
    }

    vector<int> c(n);
    for (int i = 0; i < n; i++) {
        assert(scanf("%d", &c[i]) == 1);
    }
    fclose(stdin);

    std::vector<int> answer = bitseq(a, c);

    printf("%lu\n", answer.size());
    for (size_t i = 0; i < answer.size(); i++) {
        printf("%d", answer[i]);
        if(i + 1 < answer.size()) {
            printf(" ");
        }
    }
    fclose(stdout);

    return 0;
}
